create table hrsa_special_add_deduction
(
    id                        bigserial                                 not null ,
    employee_id               bigint                                 not null ,
    tax_agent_id              bigint                                 not null ,
    children_education        varchar(255) default ''         null ,
    continuing_education      varchar(255) default ''          null ,
    housing_loan_interest     varchar(255) default ''          null ,
    housing_rent              varchar(255) default ''          null ,
    supporting_elder          varchar(255) default ''          null ,
    serious_illness_treatment varchar(255) default ''          null ,
    infant_care               varchar(255) default ''          null ,
    create_time               timestamp     default CURRENT_TIMESTAMP not null ,
    update_time               timestamp     default CURRENT_TIMESTAMP not null ,
    creator                   bigint       default 0                 not null ,
    delete_type               int          default 0                 not null ,
    tenant_key                varchar(10)  default ''                not null ,
	PRIMARY KEY ( id ) 
);

create index idx_employee_id
    on hrsa_special_add_deduction (employee_id);

create index idx_tenant_key
    on hrsa_special_add_deduction (tenant_key);